Create an account | Moov Documentation
Create an account
You can create business or individual accounts for your users (i.e., customers, merchants) by passing the required information to Moov. Requirements differ per account type and requested capabilities.
The transfers capability is automatically requested for every account. If you request any capability beyond transfers (for example, send-funds.ach, collect-funds.card-payments), you'll need to:
- Send Moov the user's platform terms of service agreement acceptance. This can be done at account creation, or by patching the account using the
termsOfServicefield. - Fulfill the verification and underwriting requirements for each requested capability. A capability isn't enabled until its requirements pass — check the capability's status to see what's still outstanding.
If you're creating a business account, depending on the business type, you'll also need to:
- Provide business representatives after creating the account.
- Patch the account to indicate that business representative ownership information is complete.
Visit our documentation to read more about creating accounts and verification requirements. Note that the mode field (for production or sandbox) is only required when creating a Partner account. All other account requests will ignore the mode field and be set to the calling Partner account's mode.
To access this endpoint using an access token you'll need to specify the /accounts.write scope.
POST
/accounts
Ask
curl -X POST "https://api.moov.io/accounts" \
-H "Authorization: Bearer {token}" \
-H "X-Moov-Version: v2026.07.00" \
-d '{
"accountType": "business",
"profile": {
"business": {
"businessType": "llc",
"legalBusinessName": "Whole Body Fitness LLC",
"website": "wbfllc.com"
}
}
}'
Ask
mc, _ := moov.NewClient()
mc.CreateAccount(ctx, moov.CreateAccount{
Type: moov.AccountType_Business,
Profile: moov.CreateProfile{
Business: &moov.CreateBusinessProfile{
Name: "Whole Body Fitness LLC",
Type: "llc",
Website: "wbfllc.com",
},
},
})
Ask
import { Moov } from "@moovio/sdk";
const moov = new Moov({
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.accounts.create({
accountType: "business",
profile: {
business: {
legalBusinessName: "Whole Body Fitness LLC",
},
},
});
console.log(result);
}
run();
Ask
declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\